Skip to main content
POST
/
api
/
{projectId}
/
jobs
/
post-processing
Post-processing
curl --request POST \
  --url https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/post-processing \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "algorithm": "<string>",
  "evaluation": "<string>",
  "population": 100,
  "maxGenerations": 100,
  "designSpaceTolerance": 0.01,
  "objectiveSpaceTolerance": 0.0025,
  "terminationPeriod": 5
}
'
import requests

url = "https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/post-processing"

payload = {
"algorithm": "<string>",
"evaluation": "<string>",
"population": 100,
"maxGenerations": 100,
"designSpaceTolerance": 0.01,
"objectiveSpaceTolerance": 0.0025,
"terminationPeriod": 5
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
algorithm: '<string>',
evaluation: '<string>',
population: 100,
maxGenerations: 100,
designSpaceTolerance: 0.01,
objectiveSpaceTolerance: 0.0025,
terminationPeriod: 5
})
};

fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/post-processing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "id": 12873488112,
  "error": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

projectId
integer
required

Project ID

Query Parameters

impulseId
integer

Impulse ID. If this is unset then the default impulse is used.

Body

application/json
variant
enum<string>
required

Which model variant to use (int8, float32, etc.)

Available options:
int8,
float32,
akida
dataset
enum<string>
required

Which dataset to use

Available options:
training,
validation,
testing
algorithm
string
required

Which algorithm container to use

evaluation
string
required

Which evaluation container to use

population
integer
default:100

The population size for the genetic algorithm

maxGenerations
integer
default:100

The maximum number of generations for the genetic algorithm

designSpaceTolerance
number
default:0.01

The tolerance for the design space

objectiveSpaceTolerance
number
default:0.0025

The tolerance for the objective space

terminationPeriod
integer
default:5

The number of generations the termination criteria are averaged across

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

id
integer
required

Job identifier. Status updates will include this identifier.

Example:

12873488112

error
string

Optional error description (set if 'success' was false)